Loading...
Searching...
No Matches
casacore::MS1ToMS2Converter Class Reference
ms package (libcasa_ms) » MSOper_module

More...

`#include <MS1ToMS2Converter.h>`

## Public Member Functions

| MS1ToMS2Converter (const String &ms2, const String &ms1, Bool inPlace)
| Create the converter for the given output (ms2) and input (ms1) name.
| ~MS1ToMS2Converter ()
| MS1ToMS2Converter (const MS1ToMS2Converter &)=delete
| Forbid copy constructor and assignment.
MS1ToMS2Converter & | operator= (const MS1ToMS2Converter &)=delete
Bool | convert ()
| Do the actual conversion.

## Private Member Functions

void | removeColumn (Table &t, const String &col)
| If possible remove a column from the table.

## Private Attributes

String | ms1_p
String | ms2_p
Bool | inPlace_p
LogIO | os_p
| Logger.

## Detailed Description

Class to convert a MeasurementSet v1 to v2.

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Synopsis

This class converts a version 1 MeasurementSet to version 2. The keyword MS_VERSION tells the version. If not present it is 1. If it is found that the MS is already a version 2 one, nothing is done.

It is possible to do the conversion in place. If not, first a copy is made which is thereafter changed in place.
The conversion process does the following steps:

- Create the newly required columns and keywords and fill them with new or existing data.
- Convert the old way of defining measure info to the new TableMeasures way.
- Rename obsolete columns by prefixing their names with OBSOLETE.

The constructor only keeps the names of the input and output MS. The actual conversion is done by the convert function.

Definition at line 71 of file MS1ToMS2Converter.h.

## Constructor & Destructor Documentation

## MS1ToMS2Converter() [1/2]

casacore::MS1ToMS2Converter::MS1ToMS2Converter | ( | const String & | ms2,
|  | const String & | ms1,
|  | Bool | inPlace )

Create the converter for the given output (ms2) and input (ms1) name.

The input name has to be an MS version 1. If not, nothing will be done.
If inPlace==True, the ms2 name is ignored. In that case the ms is changed in place.

Referenced by MS1ToMS2Converter(), and operator=().

## ~MS1ToMS2Converter()

casacore::MS1ToMS2Converter::~MS1ToMS2Converter | ( |  | ) |

## MS1ToMS2Converter() [2/2]

casacore::MS1ToMS2Converter::MS1ToMS2Converter | ( | const MS1ToMS2Converter & |  | ) |

delete

Forbid copy constructor and assignment.

References MS1ToMS2Converter().

## Member Function Documentation

## convert()

Bool casacore::MS1ToMS2Converter::convert | ( |  | ) |

Do the actual conversion.

## operator=()

MS1ToMS2Converter & casacore::MS1ToMS2Converter::operator= | ( | const MS1ToMS2Converter & |  | ) |

delete

References MS1ToMS2Converter().

## removeColumn()

void casacore::MS1ToMS2Converter::removeColumn | ( | Table & | t,
|  | const String & | col )

private

If possible remove a column from the table.

Otherwise rename it by prefixing it with OBSOLETE.

## Member Data Documentation

## inPlace_p

Bool casacore::MS1ToMS2Converter::inPlace_p

private

Definition at line 101 of file MS1ToMS2Converter.h.

## ms1_p

String casacore::MS1ToMS2Converter::ms1_p

private

Definition at line 99 of file MS1ToMS2Converter.h.

## ms2_p

String casacore::MS1ToMS2Converter::ms2_p

private

Definition at line 100 of file MS1ToMS2Converter.h.

## os_p

LogIO casacore::MS1ToMS2Converter::os_p

private

Logger.

Definition at line 104 of file MS1ToMS2Converter.h.

The documentation for this class was generated from the following file:

- ms/MSOper/MS1ToMS2Converter.h